POST Microsites Marketing Integration Forms
POST /sites/{siteId}/marketing-integration/forms
Operation ID: saveMarketIntegrationForm. Tags: Experience Cloud Microsites Resources.
Form resource for marketing integration connect family.
Save a marketing integration form for an Experience Cloud site.
This API attempts to create a read-only data extension in Marketing Cloud Engagement. A Marketing Cloud Engagement admin can change the read-only setting. We recommend keeping the data extension as read-only to maintain schema consistency with the form.
Available in: v53.0
Parameters
siteId(path, string (Id), required) ID of an Experience Cloud site.
Pattern: ^(0DM)\w*.
Request body
Marketing integration form.
Media type: application/json. Schema: FormInput.
Example: example_1 Payload 1
{
"formFieldsList": {
"formFields": [
{
"name": "First Name",
"type": "Text"
},
{
"name": "Last Name",
"type": "Text"
},
{
"name": "Email",
"type": "EmailAddress"
}
]
},
"formName": "Contact Us Data",
"memberIdentificationCode": "marketing-account-id"
}
Responses
- 200 Form
Marketing integration form.
Media type:
application/json. Schema:Form.